PrimitiveArray (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class PrimitiveArray

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.IndexedCollection
              org.hibernate.mapping.List
                  org.hibernate.mapping.Array
                      org.hibernate.mapping.PrimitiveArray

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

    public class PrimitiveArray

extends Array

A primitive array has a primary key consisting of the key columns + index column.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.IndexedCollection
`DEFAULT_INDEX_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`PrimitiveArray(Mappings mappings, PersistentClass owner)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`boolean` | `isPrimitiveArray()`

Methods inherited from class org.hibernate.mapping.Array
`getDefaultCollectionType, getElementClass, getElementClassName, isArray, setElementClassName`

Methods inherited from class org.hibernate.mapping.List
`getBaseIndex, isList, setBaseIndex`

Methods inherited from class org.hibernate.mapping.IndexedCollection
`getIndex, getIndexNodeName, isIndexed, setIndex, setIndexNodeName, validate`

Methods inherited from class org.hibernate.mapping.Collection
`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getMappings, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIdentified, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isSet, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimitiveArray

    public PrimitiveArray(Mappings mappings,
                          PersistentClass owner)

Method Detail

### isPrimitiveArray

    public boolean isPrimitiveArray()

  Overrides:
    `isPrimitiveArray` in class `Collection`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `Array`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.